# Akamai\Open\EdgeGrid\Authentication\Timestamp::isValid

#### Return true is timestamp is less than 10s old

## Signature

`public function isValid()`

## Returns

bool

## Test Coverage

### Information

- Coverage: 3/3 Lines (100%)
- Tests: 4
- Passed: 4 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\Authentication\TimestampTest::testIsValid
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testDefaultTimestamp
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testDefaultNonce
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testTimestampTimeout